# -*- coding: utf-8 -*-
import law
import luigi
import logging

from .Absolute import Absolute
from .KfacComparison import KfacComparison
from .MergedGridClosure import MergedGridClosure
from .MultiGridClosure import MultiGridClosure
from .PdfUncertainty import PdfUncertainty
from .PlotRuntime import PlotRuntime
from .PlotVegasGrids import PlotVegasGrids
from .ScaleUncertainty import ScaleUncertainty
from .SingleGridClosure import SingleGridClosure
from .StatUncertainty import StatUncertainty


class AllPlots(law.WrapperTask):
    plots_dir = luigi.Parameter(default='plots')

    def requires(self):
        return {
            'absolute': Absolute.req(self),
            'kfaccomparison': KfacComparison.req(self),
            'mergedgridclosure': MergedGridClosure.req(self),
            'multigridclosure': MultiGridClosure.req(self),
            'pdfuncertainty': PdfUncertainty.req(self),
            'plotruntime': PlotRuntime.req(self),
            'plotvegasgrids': PlotVegasGrids.req(self),
            'scaleuncertainty': ScaleUncertainty.req(self),
            'singlegridclosure': SingleGridClosure.req(self),
            'statuncertainty': StatUncertainty.req(self),
        }
